Delete webhook endpoint
1 min
DELETE
https://api.nue.io/webhook-endpoints/{id}
Path Parameters
- idstringrequired
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/json*/*
Responses
200
400
404
500
curl
curl --request DELETE \
--url https://api.nue.io/webhook-endpoints/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/webhook-endpoints/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/webhook-endpoints/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/webhook-endpoints/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// Delete an webhook endpoint success
response after delete an webhook endpoint
delete success400
// Bad Request
404
// Not Found
500
// webhook endpoint not found
webhook endpoint not found
{
"title": "BAD_REQUEST",
"message": "Cannot find webhook endpoint with ID {{webhookId}}}",
"errorCode": "WEBHOOK_ENDPOINT_NOT_FOUND"
}